#!/bin/sh
# \
exec wish "$0" ${1+"$@"}
#
# usage: filesource.tcl <mif-file>

if {[llength $argv] != 1} {
    error "usage: filesource.tcl <mif-file>"
}

set home [string trimright [file dirname [info script]] ./]
set home [file join [pwd] $home]
lappend auto_path [file join [file dirname [file dirname $home]] ext]

set importedFilename [lindex $argv 0]
set foo [string trimright [file dirname $importedFilename] ./]
set bar [file join [pwd] $foo]
set importedFilename [file join $bar [file tail $importedFilename]]

#**************************************************************************#  
# Library support
package require Oc
package require Net

#**************************************************************************#  
#top level window
label .l -text "I export the file: $importedFilename"
label .l2 -text ""
button .quit -text "Quit" -command { Die } 
pack .l -side top -expand 1
pack .l2 -side top -expand 1
pack .quit -side bottom -expand 1

proc Die {} {
    global protocol
    if {[info exists protocol]} {
	$protocol Delete; after 2000 exit
    }
}
bind . <Destroy> "+Die"
wm title . FileSource<[pid]>
wm iconname . [wm title .]
Ow_SetIcon .

#**************************************************************************#  
# networking
Net_Protocol New protocol -name "OOMMF ProbEd protocol 0.0"
$protocol AddMessage start HasGui {} {
    return [list start [list 0 0]]
}
$protocol AddMessage start GetProbDescFile {} {
    global importedFilename
    set exportedFilename [Oc_TempName]
    file copy $importedFilename $exportedFilename
    return [list start [list 0 $exportedFilename]]
}
Net_Server New server -protocol $protocol -alias FileSource -log Oc_Nop
$server Start 0
