# FILE: net.tcl
#
#	The Net extension.
#
#	This extension provides a set of Oc_Classes which support networking
# operations.
#
# Last modified on: $Date: 1998/10/02 23:27:33 $
# Last modified by: $Author: dgp $
#
# When this version of the Net extension is selected by the 'package require'
# command, this file is sourced.

# Other package requirements
if {[catch {package require Tcl 8}]} {
    package require Tcl 7.5
}
package require Oc
if {[Oc_Main HasTk]} {
    package require Ow
}

# CVS 
package provide Net 1.0.1.0

# Set up for autoloading of Net extension commands
set _net(library) [file dirname [info script]]
if { [lsearch -exact $auto_path $_net(library)] == -1 } {
    lappend auto_path $_net(library)
}

# Load in any local modifications
set local [file join [file dirname [info script]] local net.tcl]
if {[file isfile $local] && [file readable $local]} {
    uplevel #0 source [list $local]
}

